Skip to content
Login Sign up

Google Maps API

Extract business and location data from Google Maps. Set engine=google_maps and use type=search for keyword listings or type=place to retrieve a single place’s full profile.

GET https://serp.shifter.io/v1?engine=google_maps&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_maps
qstringyesThe keyword to search for
typestringyessearch or place
datastringnoRequired when type=place. Format: !4m5!3m4!1s + data_id + !8m2!3d + latitude + !4d + longitude
devicestringnodesktop, mobile, or tablet
google_domainstringnoGoogle domain to use
hlstringnoInterface language code
llstringnoGPS coordinates, format @latitude,longitude,zoom
Terminal window
curl "https://serp.shifter.io/v1?engine=google_maps&api_key=YOUR_API_KEY&q=pizza&type=search"
{
"search_parameters": {
"engine": "google_maps",
"q": "pizza",
"type": "search",
"google_domain": "google.com"
},
"places_results": [
{
"position": 1,
"title": "Joe's Pizza",
"place_id": "ChIJ...",
"data_id": "0x89c25994a1b6e4a3:0x...",
"gps_coordinates": { "latitude": 40.730, "longitude": -73.998 },
"rating": 4.5,
"reviews": 2431,
"type": "Pizza restaurant",
"address": "7 Carmine St, New York, NY 10014",
"phone": "(212) 366-1182",
"website": "https://www.joespizzanyc.com/"
}
]
}